GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
found_minimal_symbols Struct Reference

## Public Member Functions
bool | maybe_collect (const char *sfile, objfile *objf, minimal_symbol *msymbol)

## Public Attributes
bound_minimal_symbol | external_symbol {}
bound_minimal_symbol | file_symbol {}
bound_minimal_symbol | trampoline_symbol {}

## Detailed Description

Definition at line 178 of file minsyms.c.

## Member Function Documentation

## ◆ maybe_collect()

bool found_minimal_symbols::maybe_collect | ( | const char * | sfile,
|  | objfile * | objf,
|  | minimal_symbol * | msymbol
| ) |  |

Definition at line 200 of file minsyms.c.

References external_symbol, file_symbol, minimal_symbol::filename, bound_minimal_symbol::minsym, mst_file_bss, mst_file_data, mst_file_text, mst_solib_trampoline, mst_unknown, MSYMBOL_TYPE, bound_minimal_symbol::objfile, and trampoline_symbol.

Referenced by lookup_minimal_symbol_demangled(), and lookup_minimal_symbol_mangled().

## Member Data Documentation

## ◆ external_symbol

bound_minimal_symbol found_minimal_symbols::external_symbol {}

Definition at line 181 of file minsyms.c.

Referenced by lookup_minimal_symbol(), and maybe_collect().

## ◆ file_symbol

bound_minimal_symbol found_minimal_symbols::file_symbol {}

Definition at line 184 of file minsyms.c.

Referenced by lookup_minimal_symbol(), and maybe_collect().

## ◆ trampoline_symbol

bound_minimal_symbol found_minimal_symbols::trampoline_symbol {}

Definition at line 187 of file minsyms.c.

Referenced by lookup_minimal_symbol(), and maybe_collect().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/minsyms.c